petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESNGMRESSetSelectType

Sets the selection type for SNESNGMRES. This determines how the candidate solution and combined solution are used to create the next iterate.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNGMRESSetSelectType(SNES snes,SNESNGMRESSelectType stype)

Logically Collective on SNES

### Input Parameters

| snes | - the iterative context
| stype | - selection type

### Options Database

-snes_ngmres_select_type<difference,none,linesearch> -

### SNESNGMRESSelectTypes

| SNES_NGMRES_SELECT_NONE | - choose the combined solution all the time
| SNES_NGMRES_SELECT_DIFFERENCE | - choose based upon the selection criteria
| SNES_NGMRES_SELECT_LINESEARCH | - choose based upon line search combination

### Notes

The default line search used is the L2 line search and it requires two additional function evaluations.

### Keywords

SNES, SNESNGMRES, selection, type, set SNESLineSearch

### Level

intermediate

### Location

src/snes/impls/ngmres/snesngmres.c

### Implementations

SNESNGMRESSetSelectType_NGMRES in src/snes/impls/ngmres/snesngmres.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages